import { Combobox as FASTComboBox } from '@microsoft/fast-components';
import type { ComboboxOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-combobox
 */
export declare class Combobox extends FASTComboBox {
}
export declare const foundationComboboxShadowOptions: ShadowRootInit;
export declare const defaultComboboxConfig: {
    indicator: string;
};
/**
 * The Foundation Combo-box
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-combo-box\>
 */
export declare const foundationCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ComboboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=combobox.d.ts.map